Subject: bug#22000: Patch addressing the menu-bar frame-resize interaction

From: martin rudalics <[email-masked]>
Date: Tue, 23 Oct 2018 15:45:23 +0200

> Under KDE the minimum slider length is 21, under GNOME itʼs the same,
 > but the reported height of the echo area is > msl under KDE. This
 > looks like another scaling issue (except in this case the scale factor
 > reported by GTK is 1, so I can't do anything to fix it).

So which of the following interpretations is correct?

(1) The display artifacts happen regardless of whether scaling is
on or off.

(2) The display artifacts happen only when scaling is on.

(3) The display artifacts happen only when scaling is on and Emacs is
not aware of that fact because the reported scale factor is 1.

martin